# redeemInvitation

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/invitations/redeem |

| Field | Value |
|---|---|
| operationId | redeemInvitation |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /invitations/redeem |
| tags | `Invitations` |
| summary | Redeem invitation |
| badges | None |

## Request Parameters

None.

## Request Body

| Content type | Schema refs |
|---|---|
| application/json | #/components/schemas/RedeemInvitationRequestDto |

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Invitation redeemed successfully | #/components/schemas/RedeemInvitationResponseDto |
| 400 | Invalid invitation token (IDENTITY_INVITATION_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Invitation not found (IDENTITY_INVITATION_NOT_FOUND) | #/components/schemas/ApiErrorResponseDto |
| 410 | Invitation has expired (IDENTITY_INVITATION_EXPIRED) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Invalid invitation token",
  "error": "IDENTITY_INVITATION_INVALID"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Invitation not found",
  "error": "IDENTITY_INVITATION_NOT_FOUND"
}
```

### Response 410 example

```json
{
  "statusCode": 410,
  "message": "Invitation has expired",
  "error": "IDENTITY_INVITATION_EXPIRED"
}
```
